-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local network_adapterInterface = require 'mdb.bmc.kepler.network_adapterInterface'

local childs = {}
local network_adapter = {childs = childs}

local Mdb = require 'mc.mdb'

local Tnetwork_adapter = Mdb.register_object('/bmc/kepler/network_adapter', {
    {name = 'network_adapter', interface = network_adapterInterface.network_adapter}
})
network_adapter.network_adapter = Tnetwork_adapter

function Tnetwork_adapter:ctor()
    self.path = '/bmc/kepler/network_adapter'
end

return network_adapter
